﻿<Page x:Class="ApplicationTP.views.Tp2Placements"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:ApplicationTP.views"
      mc:Ignorable="d" 
      d:DesignHeight="450"
      Title="Tp1" Width="739">

    <Grid Background="White">


        <GroupBox Header="Plan" Height="130" Width="360" Margin="30,10,0,0" HorizontalAlignment="Left" VerticalAlignment="Top" >
            <Grid Height="110" Margin="0,0,-2,0">
                <Label x:Name="TestLabel" HorizontalAlignment="Left" Margin="433,109,0,0" VerticalAlignment="Top" Content="{Binding Test, Mode=OneWay}"/>
                <ComboBox SelectedValue="{Binding ChoixAbondementSelected}" x:Name="ChoixAbondement" HorizontalAlignment="Left" Margin="223,0,0,0" VerticalAlignment="Center" Width="116" ItemsSource="{Binding ChoixAbondement, Mode=OneWay}"/>
                <ComboBox SelectedValue="{Binding ChoixlivretSelected}" x:Name="ChoixLivret" HorizontalAlignment="Left" Margin="10,10,0,0" VerticalAlignment="Top" Width="128" ItemsSource="{Binding ChoixLivret, Mode=OneWay}" Height="27"/>
                <TextBox x:Name="CapitalInitial" HorizontalAlignment="Left" Margin="10,75,0,0" Text="{Binding CapitalInitial, Mode=TwoWay}" TextWrapping="Wrap" VerticalAlignment="Top" Width="128" Height="26"/>
                <Label Content="Capital Initial" HorizontalAlignment="Left" Margin="10,49,0,0" VerticalAlignment="Top" RenderTransformOrigin="0.483,0.559"/>
                <Label Content="Abondements" HorizontalAlignment="Left" Margin="223,18,0,0" VerticalAlignment="Top"/>
                <TextBox x:Name="MontantAbondement" HorizontalAlignment="Left" Margin="223,75,0,0" Text="{Binding MontantAbondement}" TextWrapping="Wrap" VerticalAlignment="Top" Width="116" Height="26"/>

            </Grid>
        </GroupBox>

        <Button x:Name="BoutonCalculer" Content="CALCULER" HorizontalAlignment="Left" Margin="46,159,0,0" VerticalAlignment="Top" Height="48" Width="129" Click="BoutonCalculer_Click" Background="#FF4DEAF9" FontWeight="Bold"/>


        <GroupBox Header="Affichage" Height="130" Width="160" Margin="408,10,0,0" HorizontalAlignment="Left" VerticalAlignment="Top">
            <Grid Height="110" Margin="0,0,-2,0">
                <Label Content="NbAnnées" HorizontalAlignment="Left" Margin="19,55,0,0" VerticalAlignment="Top" Height="24" Width="90"/>
                <TextBox x:Name="AnneesCalculees" HorizontalAlignment="Left" Margin="19,79,0,0" Text="{Binding AnneesCalculees}" TextWrapping="Wrap" VerticalAlignment="Top" Width="116" Height="21"/>
                <ComboBox SelectedValue="{Binding ChoixAffichageSelected}" HorizontalAlignment="Left" Margin="19,33,0,0" VerticalAlignment="Top" Width="116" ItemsSource="{Binding ChoixAffichage, Mode=OneWay}" Height="22"/>

            </Grid>
        </GroupBox>


        <DataGrid ItemsSource="{Binding TableauPlacement, Mode=OneWay}"  AutoGenerateColumns="False" Margin="197,159,0,10" LoadingRow="DataGrid_LoadingRow" HorizontalAlignment="Left" Width="517">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Date" Binding="{Binding Date, StringFormat=d, Mode=OneWay}"/>
                <DataGridTextColumn Header="Capital" Binding="{Binding CapitalToString, Mode=OneWay}"/>
                <DataGridTextColumn Header="Abondements" Binding="{Binding SommeAbondementToString, Mode=OneWay}"/>
                <DataGridTextColumn Header="Interets" Binding="{Binding InteretsToString, Mode=OneWay}"/>
                <DataGridTextColumn Header="Interets Annuels" Binding="{Binding SommeInteretsToString, Mode=OneWay}"/>
                <DataGridTextColumn Header="Interets Totaux" Binding="{Binding SommeInteretsGlobalToString, Mode=OneWay}"/>
                <DataGridTextColumn Header="CapitalFin" Binding="{Binding CapitalFinQuinzaineToString, Mode=OneWay}"/>
            </DataGrid.Columns>
        </DataGrid>

    </Grid>
</Page>
